chatformdocs
API referenceV1

One published version, optionally diffed against another

Pass `compare` with another version number to get the list of changes between them.

GET
/v1/forms/{id}/versions/{version}

Authorization

AuthorizationBearer <token>

A server-side secret key. Never send one from a browser — a request carrying an Origin header is refused for this reason.

In: header

Path Parameters

id*string
version*string

Query Parameters

compare?integer
Range1 <= value <= 9007199254740991

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/forms/string/versions/string"
{  "version": 0,  "versionId": "string",  "note": "string",  "publishedAt": 0,  "doc": {    "schemaVersion": 0,    "title": "string",    "description": "string",    "blocks": [      {        "property1": null,        "property2": null      }    ],    "endings": [      {        "property1": null,        "property2": null      }    ],    "endingRules": [      null    ],    "logic": [      null    ],    "layout": {      "property1": {        "x": 0,        "y": 0      },      "property2": {        "x": 0,        "y": 0      }    },    "variables": [      null    ],    "hiddenFields": [      null    ],    "settings": {      "property1": null,      "property2": null    },    "theme": {      "property1": null,      "property2": null    },    "embed": {      "property1": null,      "property2": null    },    "property1": null,    "property2": null  },  "comparedTo": 0,  "changes": [    null  ],  "summary": "string",  "property1": null,  "property2": null}